vsgptinfo

NAME
vsgptinfo - determines information about a GUID Partition Table (GPT) volume system

SYNOPSIS
vsgptinfo [-hvV] source

DESCRIPTION
vsgptinfo is a utility to determine information about a GUID Partition Table (GPT) volume system

vsgptinfo is part of the libvsgpt package. libvsgpt is a library to access the GUID Partition Table (GPT) volume system format

source is the source file.

The options are as follows:

-h  shows this help

-v  verbose output to stderr

-V  print version

ENVIRONMENT
None

FILES
None

EXAMPLES

    # vsgptinfo /dev/sda
    vsgptinfo 20200706

    GUID Partition Table (GPT) information:
    	Bytes per sector	: 512
    	Number of partitions	: 4

    Partition: 1
    	Type			: 0x00 (Empty)
    	Offset			: 1048576 (0x00100000)
    	Size			: 65024

    Partition: 2
    	Type			: 0x00 (Empty)
    	Offset			: 2097152 (0x00200000)
    	Size			: 65024

    Partition: 3
    	Type			: 0x00 (Empty)
    	Offset			: 3145728 (0x00300000)
    	Size			: 65024

    Partition: 4
    	Type			: 0x00 (Empty)
    	Offset			: 17408 (0x00004400)
    	Size			: 65024

DIAGNOSTICS
Errors, verbose and debug output are printed to stderr when verbose output -v is enabled. Verbose and debug output are only printed when enabled at compilation.

BUGS
Please report bugs of any kind to <joachim.metz@gmail.com> or on the project website: https://github.com/libyal/libvsgpt/

AUTHOR
These man pages were written by Joachim Metz.

COPYRIGHT
Copyright (C) 2019-2024, Joachim Metz <joachim.metz@gmail.com>. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.